libquazip-qt5-dev_0.7-2_amd64.deb


Advertisement

Description

libquazip-qt5-dev - C++ wrapper wrapper for ZIP/UNZIP (development files, Qt5 build)

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libquazip-qt5-dev
Package version 0.7
Package release 2
Package architecture amd64
Package type deb
Installed size 5.60 KB
Download size 703.18 KB
Official Mirror ftp.br.debian.org
QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
QuaZIP allows you to access files inside ZIP archives using QIODevice API,
and that means that you can also use QTextStream, QDataStream or
whatever you would like to use on your zipped files.
QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
from and writing to ZIP archives.
This package contains the development files.
QuaZIP built using Qt5 libraries.

Alternatives

Package Version Architecture Repository
libquazip-qt5-dev_0.7-2_i386.deb 0.7 i386 Debian Main
libquazip-qt5-dev - - -

Requires

Name Value
libquazip-headers = 0.7-2
libquazip-qt5-1 = 0.7-2
zlib1g-dev -

Conflicts

Name Value
libquazip-qt5-1-dev -

Replaces

Name Value
libquazip-qt5-1-dev -

Download

Type URL
Binary Package libquazip-qt5-dev_0.7-2_amd64.deb
Source Package libquazip

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libquazip-qt5-dev deb package:
    # sudo apt-get install libquazip-qt5-dev

Files

Path
/usr/lib/x86_64-linux-gnu/libquazip-qt5.a
/usr/lib/x86_64-linux-gnu/libquazip-qt5.so
/usr/share/doc/libquazip-qt5-dev/changelog.Debian.gz
/usr/share/doc/libquazip-qt5-dev/changelog.gz
/usr/share/doc/libquazip-qt5-dev/copyright

Changelog

2014-08-13 - Eric Maeker <eric.maeker@gmail.com>
libquazip (0.7-2) unstable; urgency=medium
[Eric Maeker]
* Add some missing Conflicts, Breaks, Replaces to headers package
* headers package was empty
[Andreas Tille]
* renaming package libquazip1-headers to libquazip-headers
* Add missing Conflicts / Breaks / Provides / Replaces statements
Closes: #755196
2014-08-09 - Eric Maeker <eric.maeker@gmail.com>
libquazip (0.7-1) unstable; urgency=low
[ Eric Maeker ]
* New upstream
* debian/patches:
- Removed multiarch patch as it is now merged in upstream
* debian/control;debian/rules
- renaming package libquazip1-dev to libquazip-dev
- renaming package libquazip-qt5-1-dev to libquazip-qt5-dev
2014-07-20 - Eric Maeker <eric.maeker@gmail.com>
libquazip (0.6.2-2) unstable; urgency=low
[ Eric Maeker ]
* debian/rules;debian/control;debian/*qt5*:
- renaming qt5 package libquazip1-qt5{...} to libquazip-qt5-1{...}
* debian/copyright:
- adding LGPL3 (Thanks to Thorsten Alteholz)
* debian/rules:
- managing conflicts/replaces between libquazip0 and libquazip1
[ Andreas Tille ]
* debian/control: libquazip1-dev Provides: libquazip-dev
2014-07-14 - Eric Maeker <eric.maeker@gmail.com>
libquazip (0.6.2-1) unstable; urgency=low
[ Eric Maeker ]
* New upstream release
* debian/control:
- Standards-Version: 3.9.5
* debian/rules;debian/control;debian/*qt5*:
- Dual build: Qt4 & Qt5
* debian/rules
- including quazip unit-tests in override_dh_auto_test
* debian/*.lintian-overrides
- managing multiarch warnings
* patches:
- updating patches to new upstream
- "-qt5" in target and lib names
* patches;debian/control;debian/*.symbols*
- renaming libquazip0 to libquazip1, updating lib soname version
- library soname version was switched to the qmake project files defined
ABI version (1.0.0), not the code release version (Closes: #719742)
[ Andreas Tille ]
* debian/control: Fix Vcs fields using `cme fix dpkg-control`
2013-06-21 - Andreas Tille <tille@debian.org>
libquazip (0.5.1-2) unstable; urgency=low
[ Rohan Garg <rohangarg@kubuntu.org> ]
* Make sure libquazip-dev depends on zlib1g-dev (Closes: #712905)
[ Andreas Tille ]
* Remove the just created README.Debian that explains rather historic
status than the current package
* debian/control:
- Standards-Version: 3.9.4
- DM-Upload-Allowed removed
- cme fix dpkg-control
2013-03-18 - Eric Maeker <eric.maeker@gmail.com>
libquazip (0.5.1-1) unstable; urgency=low
[ Eric Maeker ]
* New upstream
* debian/patch: Updating patches (multiarch, remove tests)
* Static lib
* debian/rules: building the static version of the lib
* debian/libquazip0-dev.install: adding the static lib to the dev package
* debian/rules: libquazip0-headers was removed
* Adding debian/libquazip-doc.lintian-overrides
[ Andreas Tille ]
* remove debian/d-{devlibdeps,shlibmove} which were injected as a hack
aroung not yet working d-shlibs but are not used anyway
2012-12-18 - Eric Maeker <eric.maeker@gmail.com>
libquazip (0.5-1) unstable; urgency=low
[ Eric Maeker ]
* New upstream
* creating multi-arch binaries
* debian/rules
* debian/libquazip0.install
* debian/libquazip0-dev.install
* debian/copyright: removed symlink
* including upstream changelog in all packages
* debian/libquazip-doc: lintian overrides duplicate files
[ Andreas Tille ]
* debian/control: removed dependency from libquazip0-headers
which is no part of the package
2012-05-30 - Eric Maeker <eric.maeker@gmail.com>
libquazip (0.4.4-1) unstable; urgency=low
* Initial release (Closes: #675276)

See Also

Package Description
libquazip-tulip-4.6-1_4.6.0dfsg-2+b5_amd64.deb quazip shared library, built for Tulip
libquazip1_0.7-2_amd64.deb C++ wrapper wrapper for ZIP/UNZIP (Qt4 build)
libquickfix-dev_1.13.3+dfsg-9_amd64.deb FIX protocol library - development files
libquickfix-doc_1.13.3+dfsg-9_all.deb FIX protocol library - documentation
libquickfix14_1.13.3+dfsg-9_amd64.deb FIX protocol library - runtime files
libquicktime-dev_1.2.4-7+deb8u1_amd64.deb library for reading and writing Quicktime files (development)
libquicktime-doc_1.2.4-7+deb8u1_all.deb library for reading and writing Quicktime files (documentation)
libquicktime2_1.2.4-7+deb8u1_amd64.deb library for reading and writing Quicktime files
libquorum-dev_1.4.6-1.1_amd64.deb Standards-based cluster framework, Quorum devel files
libquorum4_1.4.6-1.1_amd64.deb Standards-based cluster framework, Quorum library
libquota-perl_1.7.1+dfsg-1+deb8u1_amd64.deb Perl interface to file system quotas
libqupzilla-dev_1.6.6-2_amd64.deb development files for qupzilla's shared library
libqupzilla1_1.6.6-2_amd64.deb shared library and header files for qupzilla
libquvi-dev_0.4.1-3_amd64.deb library for parsing video download links (development package)
libquvi-doc_0.4.1-3_all.deb library for parsing video download links (documentation package)
Advertisement
Advertisement